%define major              310
%define major_cpp          310
%define major_f            310

%define major_hl           310
%define major_hl_cpp       310
%define major_hl_f         310

#cmake only
%define major_hl_tools     310


%define libname             %mklibname %{name}_ %{major}
%define libname_cpp         %mklibname %{name}_cpp %{major_cpp}
%define libname_f           %mklibname %{name}_fortran %{major_f}

%define libname_hl          %mklibname %{name}_hl %{major_hl}
%define libname_hl_cpp      %mklibname %{name}_hl_cpp %{major_hl_cpp}
%define libname_hl_f        %mklibname %{name}_hl_fortran %{major_hl_f}

%define develname           %mklibname %{name} -d
%define staticdevelname     %mklibname %{name} -d -s



%define paraprefix          p
%define paraname            %{paraprefix}%{name}

%define libparaname         %mklibname %{paraname}_ %{major}
%define libparaname_f       %mklibname %{paraname}_fortran %{major_f}
%define libparaname_t       %mklibname %{paraname}_tools %{major_hl_tools}
%define libparaname_hl      %mklibname %{paraname}_hl %{major_hl}
%define libparaname_hl_f    %mklibname %{paraname}_hl_fortran %{major_hl_f}

%define develparaname       %mklibname %{paraname} -d
%define staticdevelparaname %mklibname %{paraname} -d -s

%define srcversion   	    %{version}

#reminder: the cmake build fails if older hdf5 version are installed
#on the build system (don't chase inexistent bug)

%bcond_without java
#bcond_with java

%define javapi            2.0.6



%ifnarch %arm32 %ix86
%bcond_without  mpi
%else
%bcond_with     mpi
%endif

Name:           hdf5
Version:        1.14.6
Release:        %mkrel 1
Summary:        A data model, library, and file format for storing and managing data
License:        BSD-like
Group:          System/Libraries
URL:            https://www.hdfgroup.org/HDF5/
Source0:        https://www.hdfgroup.org/download-hdf5/source-code/hdf5-%{version}/src/%{name}-%{srcversion}.tar.gz


Patch0:         hdf5-1.14.5-no_r31test.patch


BuildRequires:  cmake
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(krb5)
BuildRequires:  gcc-gfortran
%if %{with mpi}
BuildRequires:  pkgconfig(ompi)
%endif
%ifnarch %{arm32} %{arm64}
BuildRequires:  quadmath-devel
%endif
%if %{with java}
BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  hamcrest
BuildRequires:  junit
BuildRequires:  slf4j
%else
Obsoletes:      java-hdf5 < %{version}-%{release}
%endif

%description
HDF5 is a data model, library, and file format for storing and
managing data. It supports an unlimited variety of datatypes, and is
designed for flexible and efficient I/O and for high volume and
complex data. HDF5 is portable and is extensible, allowing
applications to evolve in their use of HDF5. The HDF5 Technology suite
includes tools and applications for managing, manipulating, viewing,
and analyzing data in the HDF5 format.



%package -n %{libname}
Summary:        The HDF5 libraries
Group:          System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with HDF5 libraries.


%package -n %{libname_cpp}
Summary:        The HDF5 C++ libraries
Group:          System/Libraries

%description -n %{libname_cpp}
%{summary}.


%package -n %{libname_f}
Summary:        The Fortran HDF5 libraries
Group:          System/Libraries

%description -n %{libname_f}
%{summary}.


%package -n %{libname_hl}
Summary:        The HDF5 high level libraries
Group:          System/Libraries

%description -n %{libname_hl}
%{summary}.


%package -n %{libname_hl_cpp}
Summary:        The HDF5 C++ high level libraries
Group:          System/Libraries

%description -n %{libname_hl_cpp}
%{summary}.


%package -n %{libname_hl_f}
Summary:        The HDF5 Fortran high level libraries
Group:          System/Libraries

%description -n %{libname_hl_f}
%{summary}


%package -n %{develname}
Summary:        Development libraries and header files for HDF5
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_cpp} = %{version}-%{release}
Requires:       %{libname_f} = %{version}-%{release}
Requires:       %{libname_hl} = %{version}-%{release}
Requires:       %{libname_hl_cpp} = %{version}-%{release}
Requires:       %{libname_hl_f} = %{version}-%{release}
#could be relaxed for configure?
Requires:       %{staticdevelname} = %{version}-%{release}

%description -n %{develname}
This package provides development libraries and header files needed
for develop applications requiring the HDF5 library.



%package -n %{staticdevelname}
Summary:        Static development libraries a for HDF5
Group:          Development/Other
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       lib%{name}-static-devel = %{version}-%{release}
Requires:       %{develname} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_cpp} = %{version}-%{release}
Requires:       %{libname_f} = %{version}-%{release}
Requires:       %{libname_hl} = %{version}-%{release}
Requires:       %{libname_hl_cpp} = %{version}-%{release}
Requires:       %{libname_hl_f} = %{version}-%{release}

%description -n %{staticdevelname}
%{summary}.




%if %{with mpi}
%package -n %{libparaname}
Summary:        The parallel OpenMPI HDF5 libraries
Group:          System/Libraries

%description -n %{libparaname}
This package contains the parallel libraries needed to run programs
dynamically linked with HDF5 libraries. It is based on OpenMPI.



%package -n %{libparaname_f}
Summary:        The parallel OpenMPI Fortran HDF5 libraries
Group:          System/Libraries


%description -n %{libparaname_f}
%{summary}.


%package -n %{libparaname_hl}
Summary:        The parallel OpenMPI HDF5 high level libraries
Group:          System/Libraries

%description -n %{libparaname_hl}
%{summary}.



%package -n %{libparaname_t}
Summary:        The parallel OpenMPI HDF5 high level libraries
Group:          System/Libraries

%description -n %{libparaname_t}
%{summary}.



%package -n %{libparaname_hl_f}
Summary:        The parallel OpenMPI HDF5 Fortran high level libraries
Group:          System/Libraries

%description -n %{libparaname_hl_f}
%{summary}



%package -n %{develparaname}
Summary:        Development libraries and header files for the parallel HDF5 library
Group:          Development/Other
Provides:       %{paraname}-devel = %{version}-%{release}
Provides:       lib%{paraname}-devel = %{version}-%{release}
Provides:       %{name}-openmpi-devel = %{version}-%{release}
Provides:       lib%{name}-openmpi-devel = %{version}-%{release}
Provides:       %{name}-parallel-devel = %{version}-%{release}
Provides:       lib%{name}-parallel-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       %{libparaname} = %{version}-%{release}
Requires:       %{libparaname_f} = %{version}-%{release}
Requires:       %{libparaname_t} = %{version}-%{release}
Requires:       %{libparaname_hl} = %{version}-%{release}
Requires:       %{libparaname_hl_f} = %{version}-%{release}
#forced by the current hdf5-cmake.target
Requires:       %{staticdevelparaname} = %{version}-%{release}

%description -n %{develparaname}
This package provides development libraries and header files needed
for develop applications requiring the parallel HDF5 library.



%package -n %{staticdevelparaname}
Summary:        Static development libraries a for the parallel HDF5 library
Group:          Development/Other
Provides:       %{paraname}-static-devel = %{version}-%{release}
Provides:       %{name}-openmpi-static-devel = %{version}-%{release}
Provides:       %{name}-parallel-static-devel = %{version}-%{release}
Requires:       %{develparaname} = %{version}-%{release}
Requires:       %{libparaname} = %{version}-%{release}
Requires:       %{libparaname_f} = %{version}-%{release}
Requires:       %{libparaname_t} = %{version}-%{release}
Requires:       %{libparaname_hl} = %{version}-%{release}
Requires:       %{libparaname_hl_f} = %{version}-%{release}

%description -n %{staticdevelparaname}
%{summary}.
%endif


%if %{with java}
%package -n java-hdf5
Summary:        HDF5 java library
Group:          Development/Java
Requires:       slf4j
Obsoletes:      jhdf5 < 3.3.2-6
Obsoletes:      jhdf5-javadoc < 3.3.2-6
Obsoletes:      jhdf < 3.3.2-6

%description -n java-hdf5
HDF5 java library.
%endif







%prep
%autosetup -p1 -n %{name}-%{srcversion}


#WARNINGS: the cmake build works but produces an install which is
#incompatible with the configure script of many packages looking for
#hdf5. For instance, h5cc does not take the same optional argument if
#generated from the configure script or from a cmake compilation (yes,
#that's unbelievable!). On the other hand, the configure script does
#not allow to set a libprefix. Let's keep cmake only for the parallel
#version which indeed  needs a different libprefix

#the parallel version is built in another dir
%__rm -r -f %{_builddir}/%{paraname}-%{srcversion}
pushd %{_builddir}
%__cp -afR %{name}-%{srcversion} %{paraname}-%{srcversion}
popd


%if %{with java}
# Replace jars with system versions
# hamcrest-core is obsoleted in hamcrest-2.2
# Junit tests are failing with junit-4.13.1
%if 0%{?rhel} >= 9 || 0%{?fedora} || 0%{?mageia}
find . ! -name junit.jar -name "*.jar" -delete
ln -s %{_javadir}/hamcrest/hamcrest.jar java/lib/hamcrest-core.jar
%else
find . -name "*.jar" -delete
ln -s %{_javadir}/hamcrest/core.jar java/lib/hamcrest-core.jar
ln -s %{_javadir}/junit.jar java/lib/junit.jar
# Fix test output
junit_ver=$(sed -n '/<version>/{s/^.*>\([0-9]\.[0-9.]*\)<.*/\1/;p;q}' /usr/share/maven-poms/junit.pom)
sed -i -e "s/JUnit version .*/JUnit version $junit_ver/" java/test/testfiles/JUnit-*.txt
%endif
ln -s %{_javadir}/slf4j/api.jar java/lib/slf4j-api-%{javapi}.jar
ln -s %{_javadir}/slf4j/nop.jar java/lib/ext/slf4j-nop-%{javapi}.jar
ln -s %{_javadir}/slf4j/simple.jar java/lib/ext/slf4j-simple-%{javapi}.jar
 autoreconf -f -i
%endif


%build
%configure --enable-cxx        \
           --enable-fortran    \
           --enable-hl         \
           --disable-parallel  \
           %if %{with java}
           --enable-java       \
           %endif
           --with-default-plugindir=%{_libdir}/hdf5/plugin

#in case of really serious issues while bumping api
#	     --with-default-api-version=v112

%make_build

%if %{with mpi}
#parallel build (C++ is incompatible with parallel)
pushd %{_builddir}/%{paraname}-%{srcversion}

%cmake   -DBUILD_SHARED_LIBS=ON                                     \
         -DONLY_SHARED_LIBS=OFF                                     \
	 -DBUILD_STATIC_LIBS=ON					    \
         -DBUILD_TESTING=OFF                                        \
         -DH5_DEFAULT_PLUGINDIR=%{_libdir}/hdf5/plugin              \
         -DHDF5_INSTALL_LIB_DIR=%{_libdir}                          \
         -DHDF5_INSTALL_INCLUDE_DIR=%{_includedir}/%{paraname}      \
	 -DHDF5_INSTALL_MODULE_DIR=%{_includedir}/%{paraname}/mod   \
         -DHDF5_BUILD_CPP_LIB=OFF                                   \
         -DHDF5_BUILD_FORTRAN=ON                                    \
         -DHDF5_BUILD_HL_LIB=ON                                     \
         -DHDF5_BUILD_TOOLS=ON                                      \
         -DHDF5_ENABLE_Z_LIB_SUPPORT=ON                             \
	 -DHDF5_BUILD_EXAMPLE=OFF                                   \
         -DHDF5_ENABLE_PARALLEL=ON                                  \
         -DHDF5_EXTERNAL_LIB_PREFIX=%{paraprefix}                   \
         -DCMAKE_Fortran_COMPILER=mpif90                            \
         -DCMAKE_C_COMPILER=mpicc

%cmake_build

popd
%endif

#check
# tests are long, let's restrict the tested arches
%ifarch %{ix86} x86_64
%make_build test || echo "make test failed"
%endif




%install

%if %{with mpi}
#install first the parallel version, to default to non-parallel in
#case binaries have the same name
pushd %{_builddir}/%{paraname}-%{srcversion}
%cmake_install
popd
#clean screwed cmake pkgconfig file generated by the parallel hdf
%__rm -f -r %{buildroot}%{_libdir}/pkgconfig
%__rm -f -r %{buildroot}%{_prefix}/cmake
%endif

%make_install
%multiarch_includes %{buildroot}%{_includedir}/H5pubconf.h


# rpm macro for version checking
mkdir -p %{buildroot}%{_rpmmacrodir}
cat > %{buildroot}%{_rpmmacrodir}/macros.hdf5 <<EOF
#
# RPM macros for HDF5 packaging
#

%_hdf5_version %{version}
EOF

# plugin dir
mkdir -p %{buildroot}%{_libdir}/hdf5/plugin

#remove unwanted files
find %{buildroot}%{_libdir} -name *.la -delete
%__rm -f %{buildroot}/%{_datadir}/COPYING
%__rm -f %{buildroot}/%{_datadir}/RELEASE.txt
%__rm -f %{buildroot}/%{_datadir}/USING_HDF5_CMake.txt

%if %{with java}
# Java
mkdir -p %{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/libhdf5_java.so %{buildroot}%{_libdir}/%{name}/
%endif


%files
%doc COPYING COPYING_LBNL_HDF5 release_docs/RELEASE.txt
%{_bindir}/*
%dir %{_libdir}/hdf5/
%dir %{_libdir}/hdf5/plugin/

%files -n %{libname}
%{_libdir}/libhdf5.so.%{major}{,.*}

%files -n %{libname_cpp}
%{_libdir}/libhdf5_cpp.so.%{major_cpp}{,.*}

%files -n %{libname_f}
%{_libdir}/libhdf5_fortran.so.%{major_f}{,.*}
#{_libdir}/libhdf5_f90cstub.so.#{major_f}{,.*}

%files -n %{libname_hl}
%{_libdir}/libhdf5_hl.so.%{major_hl_f}{,.*}
#{_libdir}/libhdf5_tools.so.#{major_hl_tools}{,.*}

%files -n %{libname_hl_cpp}
%{_libdir}/libhdf5_hl_cpp.so.%{major_hl_cpp}{,.*}

%files -n %{libname_hl_f}
%{_libdir}/libhdf5hl_fortran.so.%{major_hl_f}{,.*}
#{_libdir}/libhdf5_hl_f90cstub.so.#{major_hl_f}{,.*}

%files -n %{develname}
%{multiarch_includedir}/H5pubconf.h
%{_rpmmacrodir}/macros.hdf5
%{_libdir}/libhdf5*.so
%{_libdir}/libhdf5*.settings
%{_includedir}/*.h
%{_includedir}/*.inc
%{_includedir}/h5*.mod
%{_includedir}/hdf5.mod
#{_datadir}/hdf5_examples
#{_includedir}/*.F90
#{_includedir}/shared
#{_libdir}/pkgconfig/hdf5*.pc
#{_datadir}/cmake/hdf5


%files -n %{staticdevelname}
%{_libdir}/libhdf5*.a
#{_includedir}/static


%if %{with java}
%files -n java-hdf5
%{_libdir}/jarhdf5-%{srcversion}.jar
%{_libdir}/%{name}/
%endif

%if %{with mpi}
%files -n %{libparaname}
%{_libdir}/lib%{paraprefix}hdf5.so.%{major}{,.*}


%files -n %{libparaname_f}
%{_libdir}/lib%{paraprefix}hdf5_fortran.so.%{major_f}{,.*}
%{_libdir}/lib%{paraprefix}hdf5_f90cstub.so.%{major_f}{,.*}


%files -n %{libparaname_hl}
%{_libdir}/lib%{paraprefix}hdf5_hl.so.%{major_hl}{,.*}


%files -n %{libparaname_t}
%{_libdir}/lib%{paraprefix}hdf5_tools.so.%{major_hl_tools}{,.*}


%files -n %{libparaname_hl_f}
%{_libdir}/lib%{paraprefix}hdf5_hl_fortran.so.%{major_hl_f}{,.*}
%{_libdir}/lib%{paraprefix}hdf5_hl_f90cstub.so.%{major_hl_f}{,.*}


%files -n %{develparaname}
%{_libdir}/lib%{paraprefix}*.so
%dir %{_includedir}/%{paraname}
%{_includedir}/%{paraname}/*.h
%{_includedir}/%{paraname}/*.inc
%{_includedir}/%{paraname}/h5*.mod
%{_includedir}/%{paraname}/hdf5.mod
%{_includedir}/%{paraname}/*.F90
%{_includedir}/%{paraname}/mod/shared


%files -n %{staticdevelparaname}
%{_libdir}/lib%{paraprefix}hdf5*.a
%{_includedir}/%{paraname}/mod/static
%endif


%changelog
* Sat May 03 2025 daviddavid <daviddavid> 1.14.6-1.mga10
+ Revision: 2180653
- new version: 1.14.6

* Fri Dec 06 2024 eatdirt <eatdirt> 1.14.5-2.mga10
+ Revision: 2122449
- Remove r31 test failing on ix86
- Update to version 1.14.5
+ papoteur <papoteur>
- restore 1.14.4.3 version
- new version 1.14.5

* Sun Sep 01 2024 eatdirt <eatdirt> 1.14.4.3-2.mga10
+ Revision: 2092571
- Switch on java module

* Sun Sep 01 2024 eatdirt <eatdirt> 1.14.4.3-1.mga10
+ Revision: 2092526
- Upgrade to version 1.14.4.3

* Thu Feb 22 2024 eatdirt <eatdirt> 1.12.2-6.mga10
+ Revision: 2043323
- Rebuild for new openmpi

* Mon Jan 02 2023 daviddavid <daviddavid> 1.12.2-5.mga9
+ Revision: 1928958
- obsolete more jhdf5 pkgs

* Sun Jan 01 2023 daviddavid <daviddavid> 1.12.2-4.mga9
+ Revision: 1928636
- enable java, thuse replace jhdf5 pkg
+ wally <wally>
- drop old conflicts

* Tue Dec 06 2022 wally <wally> 1.12.2-3.mga9
+ Revision: 1918554
- set default plugin dir to %%{_libdir}/hdf5/plugin

* Mon Dec 05 2022 papoteur <papoteur> 1.12.2-2.mga9
+ Revision: 1918045
- rename hdf5.macros in macros.hdf5, else not recognized

* Sun Dec 04 2022 eatdirt <eatdirt> 1.12.2-1.mga9
+ Revision: 1917805
- Upgrade to API breaking version 1.12.2

* Thu Mar 31 2022 umeabot <umeabot> 1.10.8-2.mga9
+ Revision: 1837128
- Mageia 9 Mass Rebuild
+ wally <wally>
- move rpm macros to %%_rpmmacrodir

* Mon Dec 06 2021 kekepower <kekepower> 1.10.8-1.mga9
+ Revision: 1760918
- Update to version 1.10.8

* Sun Nov 22 2020 wally <wally> 1.10.7-3.mga8
+ Revision: 1648411
- split out libphdf5_tools

* Tue Oct 13 2020 eatdirt <eatdirt> 1.10.7-2.mga8
+ Revision: 1635391
- Revert compilation of non-parallel hdf5 to configure instead of cmake

* Fri Oct 09 2020 eatdirt <eatdirt> 1.10.7-1.mga8
+ Revision: 1633027
- Upgrade to version 1.10.7

* Fri Sep 04 2020 eatdirt <eatdirt> 1.10.6-5.mga8
+ Revision: 1622072
- Fix unexistent BR

* Fri Sep 04 2020 eatdirt <eatdirt> 1.10.6-4.mga8
+ Revision: 1622049
- Force devel require to static-devel to match upstream cmake

* Fri Sep 04 2020 eatdirt <eatdirt> 1.10.6-3.mga8
+ Revision: 1621870
- Add explicit requires to hdf5 in devel packages

* Fri Sep 04 2020 eatdirt <eatdirt> 1.10.6-2.mga8
+ Revision: 1621778
- Rebuild to default to non-parallel binaries

* Thu Sep 03 2020 eatdirt <eatdirt> 1.10.6-1.mga8
+ Revision: 1621411
- Fix gfortran >= 10 issue in cmake tests
- Fix devel files duplicates
- Upgrade to version 1.10.6, enable parallel build

* Sat Feb 15 2020 umeabot <umeabot> 1.10.5-2.mga8
+ Revision: 1523318
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 03 2019 daviddavid <daviddavid> 1.10.5-1.mga7
+ Revision: 1371199
- new version: 1.10.5
- now libhdf5_fortran major is 102

* Sat Mar 02 2019 wally <wally> 1.10.4-2.mga7
+ Revision: 1371089
- split out all libs into their own pkgs
- drop hdf5 provides from lib pkg
- drop unneeded requires
- drop old obsoletes and confclits

* Wed Nov 07 2018 mrambo3501 <mrambo3501> 1.10.4-1.mga7
+ Revision: 1328807
- version 1.10.4 (mga#23792)

* Sun Sep 23 2018 umeabot <umeabot> 1.8.20-4.mga7
+ Revision: 1298175
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 eatdirt <eatdirt> 1.8.20-3.mga7
+ Revision: 1245996
- Rebuild for new gcc/gfortran

* Fri Jun 08 2018 wally <wally> 1.8.20-2.mga7
+ Revision: 1235400
- fix build on aarch64

* Wed Mar 21 2018 kekepower <kekepower> 1.8.20-1.mga7
+ Revision: 1210922
- Update to version 1.8.20
- Use new make macros

* Sat Sep 02 2017 joequant <joequant> 1.8.15-4.mga7
+ Revision: 1150564
- update gcc

* Fri Dec 09 2016 mrambo3501 <mrambo3501> 1.8.15-3.mga6
+ Revision: 1073848
- added patches from Debian to fix security issues CVE-2016-433[0-3]

* Thu Feb 11 2016 umeabot <umeabot> 1.8.15-2.mga6
+ Revision: 954315
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 joequant <joequant> 1.8.15-1.mga6
+ Revision: 855650
- upgrade to 1.8.15-patch1

* Wed Oct 15 2014 umeabot <umeabot> 1.8.13-4.mga6
+ Revision: 747360
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.13-3.mga5
+ Revision: 680098
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 grenoya <grenoya> 1.8.13-2.mga5
+ Revision: 641404
- new version 1.8.13

* Sat Oct 19 2013 umeabot <umeabot> 1.8.11-2.mga4
+ Revision: 530081
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 fwang <fwang> 1.8.11-1.mga4
+ Revision: 454997
- update libmajor
- new version 1.8.11

* Sat Jan 12 2013 umeabot <umeabot> 1.8.9-3.mga3
+ Revision: 353146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 1.8.9-2.mga3
+ Revision: 343364
- Add rpm macro needed for jhdf5

* Wed Sep 19 2012 fwang <fwang> 1.8.9-1.mga3
+ Revision: 296220
- new version 1.8.9

* Sun Apr 08 2012 fwang <fwang> 1.8.7-2.mga2
+ Revision: 229655
- add tarball
- rebuild for new gcc

* Wed Jul 06 2011 grenoya <grenoya> 1.8.7-1.mga2
+ Revision: 119284
- upgrade sources to 1.8.7
- remove patch #0
- remove unneeded defines

* Sat Apr 16 2011 grenoya <grenoya> 1.8.6-1.mga1
+ Revision: 86629
- update sources to 1.8.6
- remove old patch

* Thu Feb 17 2011 ahmad <ahmad> 1.8.5-2.mga1
+ Revision: 53310
- drop old/unneeded scriptlets
- imported package hdf5


* Fri Aug 13 2010 Emmanuel Andry <eandry@mandriva.org> 1.8.5-1mdv2011.0
+ Revision: 569401
- New version 1.8.5
- drop p?\1952
- rediff p9
- update files list

* Mon Apr 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.4-4mdv2010.1
+ Revision: 539387
- add virtual provides needef for hdf-java

* Mon Apr 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.4-3mdv2010.1
+ Revision: 539340
- update to patch1 postrelease
- disable all strange gcc flags
- spec file clean

* Sun Jan 17 2010 Emmanuel Andry <eandry@mandriva.org> 1.8.4-2mdv2010.1
+ Revision: 492750
- fix linking with p0
- drop p7 fixed upstream
- enable c++ and fortran support
- drop obsolete configure arguments
- use pic for x86_64
- update files list
- remove threadsafe, not compatible with c++

* Thu Jan 07 2010 Emmanuel Andry <eandry@mandriva.org> 1.8.4-1mdv2010.1
+ Revision: 487354
- New version 1.8.4
- fix SOURCE and URL
- drop p1 (merged upstream)
- rediff p2 and p9

* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.3-1mdv2010.0
+ Revision: 399850
- new version

* Thu Apr 09 2009 Funda Wang <fwang@mandriva.org> 1.8.1-3mdv2009.1
+ Revision: 365348
- fix str fmt

* Sun Sep 28 2008 Funda Wang <fwang@mandriva.org> 1.8.1-3mdv2009.0
+ Revision: 288987
- conflicts with old lib

* Sun Sep 28 2008 Funda Wang <fwang@mandriva.org> 1.8.1-2mdv2009.0
+ Revision: 288976
- obsoletes old devel package

* Tue Aug 19 2008 Emmanuel Andry <eandry@mandriva.org> 1.8.1-1mdv2009.0
+ Revision: 274052
- fix typos
- fix file list
- enable parallel build
- define _disable_ld_no_undefined
- enable threadsafe, cxx breaks build
- update file list
- disable P4, use multiarch macro
- use P8 and P6 from opensuse
- add package for high level libraries
- update major
- fix summary
- add fedora patches
- disable threadsafe, incompatible with cxx
- use configure macro
- New version
- drop patches 1,2,3,4 and 5
- use configure2_5x
- Apply devel policy
- protect major

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.6.5-3mdv2008.1
+ Revision: 126630
- kill re-definition of %%buildroot on Pixel's request


* Tue Feb 20 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.6.5-3mdv2007.0
+ Revision: 123109
- Enabled threadsafe and pthread.
- Added Patch1 from Debian.
- Merged Patch2,3 from FC6 (rpath, gfortran).
- Merged Patch4 from FC6 (fixes testing problem).
- Merged Patch5 from FC6 (use snprintf instead of sprintf).
- bunzip2 patches.
- Added missed libh5test.so.0 (fix bug #25585)
- Fixed bug #24987.
- Import hdf5

* Fri Sep 01 2006 Giuseppe Ghibò <ghibo@mandriva.com> 1.6.5-1mdv2007.0
- Release: 1.6.5.
- Let failed test pass for now.

* Sun Aug 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.4-2mdk
- -mieee-fp is a x86 specific option

* Sat Aug 06 2005 Giuseppe Ghibò <ghibo@mandriva.com> 1.6.4-1mdk
- Release: 1.6.4.
- Lower optimization to -O1 to get tests passing (as were failing with -O2).

* Thu Feb 10 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.6.3-1mdk
- Relase 1.6.3.
- Rediff Patch0.

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.5-3mdk
- multiarch

* Sun Oct 03 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.4.5-2mdk
- Don't use %%configure as it doesn't work anymore.
- Rebuilt.

